com.amazonaws.services.codedeploy.model

## Class BatchGetDeploymentsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codedeploy.model.BatchGetDeploymentsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class BatchGetDeploymentsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a batch get deployments operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BatchGetDeploymentsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetDeploymentsResult` `clone()`
`boolean` `equals(Object obj)`
`List<DeploymentInfo>` `getDeploymentsInfo()` Information about the deployments.
`int` `hashCode()`
`void` `setDeploymentsInfo(Collection<DeploymentInfo> deploymentsInfo)` Information about the deployments.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BatchGetDeploymentsResult` `withDeploymentsInfo(Collection<DeploymentInfo> deploymentsInfo)` Information about the deployments.
`BatchGetDeploymentsResult` `withDeploymentsInfo(DeploymentInfo... deploymentsInfo)` Information about the deployments.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchGetDeploymentsResult

    public BatchGetDeploymentsResult()

### Method Detail

#### getDeploymentsInfo

    public List<DeploymentInfo> getDeploymentsInfo()

Information about the deployments.

Returns:
  Information about the deployments.

#### setDeploymentsInfo

    public void setDeploymentsInfo(Collection<DeploymentInfo> deploymentsInfo)

Information about the deployments.

Parameters:
  `deploymentsInfo` - Information about the deployments.

#### withDeploymentsInfo

    public BatchGetDeploymentsResult withDeploymentsInfo(DeploymentInfo... deploymentsInfo)

Information about the deployments.

NOTE: This method appends the values to the existing list (if any). Use `setDeploymentsInfo(java.util.Collection)` or `withDeploymentsInfo(java.util.Collection)` if you want to override the existing values.

Parameters:
  `deploymentsInfo` - Information about the deployments.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withDeploymentsInfo

    public BatchGetDeploymentsResult withDeploymentsInfo(Collection<DeploymentInfo> deploymentsInfo)

Information about the deployments.

Parameters:
  `deploymentsInfo` - Information about the deployments.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BatchGetDeploymentsResult clone()

Overrides:
  `clone` in class `Object`